# Simple, modern and secure installation of Arch Linux with KDE Plasma.

#### This is my personal installation routine, which I continously expand and redefine.  

This installation script aims for a simple (read minimal) Arch Linux installation, which is modern in the way that it uses UEFI and systemd-boot, secure in the way that it uses full-disk encryption using LUKS as well as flexibility by using LVM volumes for the root and home partition.  

###### [Click here to go to the  manual installation..](https://gitlab.com/dataprolet/simple-modern-and-secure-arch-linux-install/-/blob/master/install.md).

---

#### To automatically install Arch Linux, clone this repository:
```
pacman -Sy git
git clone https://gitlab.com/dataprolet/arch
cd arch
sh install.sh
```

*There's also a new version of the script that installes Btrfs instead of ext4 on LVM. To try it instead use ```install-btrfs.sh```.*

#### All features:
- Prompt for all user input at the start (hostname, username passwords).
- Partitions a primary and a boot partition.
- Encrypts the primary partition using LUKS.
- Creates LVM volumes for /root and /home with custom sizes.
- Creates ext4 filesystems for both partitions.
- Refreshes the latest mirror list.
- Installs a base system (base linux linux-firmware lvm2 nano networkmanager sudo).
- Installs very few additional packages (firefox konsole linux-zen)
- Installs a minimal KDE Plasma desktop environment (plasma-desktop, sddm, sdmd-kcm)
- Installs systemd-boot as a bootloader.
- Sets German keyboard layout and English locale.
- Enables SDDM auto-login to boot into Plasma after the first reboot.

---
